Bug 1135594 - [abrt] youtube-dl: httplib.py:660:_safe_read:IncompleteRead: IncompleteRead(7669 bytes read, 523 more expected)
Summary: [abrt] youtube-dl: httplib.py:660:_safe_read:IncompleteRead: IncompleteRead(7...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f657775009d8537690e50706828...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-29 18:03 UTC by Rahul Chowdhury
Modified: 2015-03-08 22:49 UTC (History)
3 users (show)

Fixed In Version: youtube-dl-2015.02.18.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:02:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (9.44 KB, text/plain)
2014-08-29 18:04 UTC, Rahul Chowdhury
no flags Details
File: environ (3.53 KB, text/plain)
2014-08-29 18:05 UTC, Rahul Chowdhury
no flags Details

Description Rahul Chowdhury 2014-08-29 18:03:58 UTC
Version-Release number of selected component:
youtube-dl-2014.07.25.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        python /usr/bin/youtube-dl https://www.youtube.com/watch?v=HHDH6N_qjm4
dso_list:       python-libs-2.7.5-13.fc20.x86_64
executable:     /usr/bin/youtube-dl
kernel:         3.15.10-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
#1 _safe_read in /usr/lib64/python2.7/httplib.py:660
#2 _read_chunked in /usr/lib64/python2.7/httplib.py:603
#3 read in /usr/lib64/python2.7/httplib.py:543
#4 read in /usr/lib64/python2.7/socket.py:351
#5 _download_webpage_handle in /usr/bin/youtube-dl/youtube_dl/extractor/common.py:227
#6 _download_webpage in /usr/bin/youtube-dl/youtube_dl/extractor/common.py:282
#7 _real_extract in /usr/bin/youtube-dl/youtube_dl/extractor/youtube.py:629
#8 extract in /usr/bin/youtube-dl/youtube_dl/extractor/common.py:169
#9 extract_info in /usr/bin/youtube-dl/youtube_dl/YoutubeDL.py:516
#10 download in /usr/bin/youtube-dl/youtube_dl/YoutubeDL.py:1052

Comment 1 Rahul Chowdhury 2014-08-29 18:04:42 UTC
Created attachment 932781 [details]
File: backtrace

Comment 2 Rahul Chowdhury 2014-08-29 18:05:06 UTC
Created attachment 932782 [details]
File: environ

Comment 3 Till Maas 2014-08-31 13:40:17 UTC
Reported upstream: https://bugzilla.redhat.com/show_bug.cgi?id=1135594

Comment 4 Fedora Admin XMLRPC Client 2015-02-09 00:16:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Update System 2015-02-10 12:32:02 UTC
youtube-dl-2015.02.10.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.10.4-1.el7

Comment 6 Fedora Update System 2015-02-10 12:32:35 UTC
youtube-dl-2015.02.10.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.10.4-1.fc21

Comment 7 Fedora Update System 2015-02-10 12:32:59 UTC
youtube-dl-2015.02.10.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.10.4-1.fc20

Comment 8 Fedora Update System 2015-02-14 02:55:01 UTC
Package youtube-dl-2015.02.10.4-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing youtube-dl-2015.02.10.4-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0760/youtube-dl-2015.02.10.4-1.el7
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-02-16 12:50:24 UTC
youtube-dl-2015.02.11-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.11-1.el7

Comment 10 Fedora Update System 2015-02-16 12:55:03 UTC
youtube-dl-2015.02.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.11-1.fc20

Comment 11 Fedora Update System 2015-02-17 08:02:52 UTC
youtube-dl-2015.02.10.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-02-18 14:23:07 UTC
youtube-dl-2015.02.18.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.18.1-1.el7

Comment 13 Fedora Update System 2015-02-18 14:25:18 UTC
youtube-dl-2015.02.18.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.18.1-1.fc20

Comment 14 Fedora Update System 2015-02-21 04:25:14 UTC
youtube-dl-2015.02.18.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-03-08 22:49:16 UTC
youtube-dl-2015.02.18.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.